Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## help
Class HelpTree

    java.lang.Object
      help.HelpTree

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeSelectionListener

    public class HelpTree

extends java.lang.Object
implements javax.swing.event.TreeSelectionListener

Provides a tree-view of the titles of the help-pages.

Author:
  Markus Krebs

Field Summary
`static int` | `COMPLETE_VIEW` Show the whole available help.
`static int` | `EVALEDITOR_VIEW` Show a EvalEditor-specific help.
`static int` | `EVALPLAYER_VIEW` Show a EvalPlayer-specific help.
`static int` | `GENEDITOR_VIEW` Show a GenEditor-specific help.
`static int` | `WORKEDITOR_VIEW` Show a WorkEditor-specific help.

Constructor Summary
`HelpTree(javax.swing.JEditorPane editorPane)` Creates a new Help-Tree in respect to `setView(int)` specified view.

Method Summary
`void` | `back()` Go one step backward in the documentation
`boolean` | `canRedo()` Tests if a forward-step (redo) is possible
`boolean` | `canUndo()` Tests if a backward-step (undo) is possible
`void` | `forward()` Go one step forward in the documentation
`javax.swing.JPanel` | `getPanel()` Returns a panel that contains the Tree.
`void` | `redo()` Go in history one step forward.
`static void` | `setView(int id)` Sets the display-mode of the help-system.
`void` | `undo()` Go in history one step backward.
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPLETE_VIEW

    public static final int COMPLETE_VIEW

  Show the whole available help.

  See Also:
    Constant Field Values

### GENEDITOR_VIEW

    public static final int GENEDITOR_VIEW

  Show a GenEditor-specific help.

  See Also:
    Constant Field Values

### WORKEDITOR_VIEW

    public static final int WORKEDITOR_VIEW

  Show a WorkEditor-specific help.

  See Also:
    Constant Field Values

### EVALEDITOR_VIEW

    public static final int EVALEDITOR_VIEW

  Show a EvalEditor-specific help.

  See Also:
    Constant Field Values

### EVALPLAYER_VIEW

    public static final int EVALPLAYER_VIEW

  Show a EvalPlayer-specific help.

  See Also:
    Constant Field Values

Constructor Detail

### HelpTree

    public HelpTree(javax.swing.JEditorPane editorPane)

  Creates a new Help-Tree in respect to `setView(int)` specified view.

  Parameters:
    `editorPane` - The EditorPane for the to displayed content.
  See Also:
    `setView(int)`

Method Detail

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### getPanel

    public javax.swing.JPanel getPanel()

  Returns a panel that contains the Tree.

  Returns:
    The panel.

### canUndo

    public boolean canUndo()

  Tests if a backward-step (undo) is possible

  Returns:
    true if possible, false otherwise

### canRedo

    public boolean canRedo()

  Tests if a forward-step (redo) is possible

  Returns:
    true if possible, false otherwise

### undo

    public void undo()

  Go in history one step backward.

### redo

    public void redo()

  Go in history one step forward.

### back

    public void back()

  Go one step backward in the documentation

### forward

    public void forward()

  Go one step forward in the documentation

### setView

    public static void setView(int id)

  Sets the display-mode of the help-system.

  Parameters:
    `id` - The ID for the VIEW.
  See Also:
    `COMPLETE_VIEW`, `GENEDITOR_VIEW`, `WORKEDITOR_VIEW`, `EVALEDITOR_VIEW`, `EVALPLAYER_VIEW`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD